from parallels.core.utils.entity import Entity


class Subscription(Entity):
    def __init__(self, subscription_id, object_id, object_type, locked, synchronized, custom):
        self._subscription_id = subscription_id
        self._object_id = object_id
        self._object_type = object_type
        self._locked = locked
        self._synchronized = synchronized
        self._custom = custom

    @property
    def subscription_id(self):
        """
        :rtype: str | unicode
        """
        return self._subscription_id

    @property
    def object_id(self):
        """
        :rtype: str | unicode
        """
        return self._object_id

    @property
    def object_type(self):
        """
        :rtype: str | unicode
        """
        return self._object_type

    @property
    def locked(self):
        """
        :rtype: str | unicode
        """
        return self._locked

    @property
    def synchronized(self):
        """
        :rtype: str | unicode
        """
        return self._synchronized

    @property
    def custom(self):
        """
        :rtype: str | unicode
        """
        return self._custom
